Bug 1414891 - Containers SmartState analysis not working for images from unknown image registry,
Summary: Containers SmartState analysis not working for images from unknown image regi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.7.1
Assignee: Erez Freiberger
QA Contact: Pavel Zagalsky
URL:
Whiteboard: container:smartstate
Depends On: 1408255
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-19 16:42 UTC by Satoe Imaishi
Modified: 2017-05-08 10:37 UTC (History)
10 users (show)

Fixed In Version: 5.7.1.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1408255
Environment:
Last Closed: 2017-02-27 19:29:33 UTC
Category: ---
Cloudforms Team: Container Management
Target Upstream Version:


Attachments (Terms of Use)
evm.log file (15.92 MB, application/x-tar)
2017-01-25 13:23 UTC, Einat Pacifici
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 0 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 CFME Bot 2017-01-19 16:46:15 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/9d876b9a1b1d0640f7d420787e9c6fd9e2d303fe

commit 9d876b9a1b1d0640f7d420787e9c6fd9e2d303fe
Author:     Oleg Barenboim <chessbyte@gmail.com>
AuthorDate: Tue Jan 17 08:44:30 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Jan 19 11:43:38 2017 -0500

    Merge pull request #13270 from enoodle/container_ssa_compare_repo_digest_by_sha_too
    
    compare RepoDigest by sha digest only too
    (cherry picked from commit 3fe507a565f6909a431cf88a25d28dcddb6607ef)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1414891

 .../kubernetes/container_manager/scanning/job.rb   |  9 ++--
 .../container_manager/scanning/job_spec.rb         | 56 ++++++++++++++++++++++
 2 files changed, 61 insertions(+), 4 deletions(-)

Comment 3 Einat Pacifici 2017-01-25 13:23:19 UTC
Created attachment 1244263 [details]
evm.log file

When testing with provider=OCP3.4. SSA is still failing on images with unknown-image-registry.
log file attached.

Comment 5 Erez Freiberger 2017-01-25 14:52:39 UTC
I analyzed the logs and this appliance and I think that these failures are due to the long time that it takes this Openshift provider to pull those images. I have seen that some of the images just needed more time to be download and other images were not actually accessible from any repository that the openshift provider had access to.
Also, The errors associated with this bug will show an error message of the form:
"cannot analyze image %s with id %s: detected ids were %s" and not timeout errors.

Comment 7 errata-xmlrpc 2017-02-27 19:29:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.